## com.google.gwt.user.client.ui
Interface HasHorizontalAlignment

All Known Subinterfaces:
  HasAlignment

All Known Implementing Classes:
  DockPanel, HorizontalPanel, HTML, Label, VerticalPanel

    public interface HasHorizontalAlignment

Characteristic interface which indicates that a widget can be aligned horizontally.

Nested Class Summary
`static class` `HasHorizontalAlignment.HorizontalAlignmentConstant` Horizontal alignment constant.

Field Summary
`static HasHorizontalAlignment.HorizontalAlignmentConstant` `ALIGN_CENTER` Specifies that the widget's contents should be aligned in the center.
`static HasHorizontalAlignment.HorizontalAlignmentConstant` `ALIGN_LEFT` Specifies that the widget's contents should be aligned to the left.
`static HasHorizontalAlignment.HorizontalAlignmentConstant` `ALIGN_RIGHT` Specifies that the widget's contents should be aligned to the right.

Method Summary
`HasHorizontalAlignment.HorizontalAlignmentConstant` `getHorizontalAlignment()` Gets the horizontal alignment.
`void` `setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant align)` Sets the horizontal alignment.

Field Detail

### ALIGN_CENTER

    static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_CENTER

  Specifies that the widget's contents should be aligned in the center.

### ALIGN_LEFT

    static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_LEFT

  Specifies that the widget's contents should be aligned to the left.

### ALIGN_RIGHT

    static final HasHorizontalAlignment.HorizontalAlignmentConstant ALIGN_RIGHT

  Specifies that the widget's contents should be aligned to the right.

Method Detail

### getHorizontalAlignment

    HasHorizontalAlignment.HorizontalAlignmentConstant getHorizontalAlignment()

  Gets the horizontal alignment.

  Returns:
    the current horizontal alignment.

### setHorizontalAlignment

    void setHorizontalAlignment(HasHorizontalAlignment.HorizontalAlignmentConstant align)

  Sets the horizontal alignment.

  Parameters:
    `align` - the horizontal alignment ( `ALIGN_LEFT`, `ALIGN_CENTER`, or `ALIGN_RIGHT`).